org.apache.ignite.igfs

## Class IgfsException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.ignite.IgniteException
        - - org.apache.ignite.igfs.IgfsException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  IgfsConcurrentModificationException, IgfsCorruptedFileException, IgfsDirectoryNotEmptyException, IgfsInvalidHdfsVersionException, IgfsInvalidPathException, IgfsOutOfSpaceException

    public class IgfsException
    extends IgniteException

`IGFS` exception thrown by file system components.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IgfsException(String msg)` Creates an instance of IGFS exception with descriptive error message.
`IgfsException(String msg, Throwable cause)` Creates an instance of IGFS exception with error message and underlying cause.
`IgfsException(Throwable cause)` Creates an instance of IGFS exception caused by nested exception.

### Method Summary

### Methods inherited from class org.apache.ignite.IgniteException

`getCause, hasCause, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IgfsException

    public IgfsException(String msg)

Creates an instance of IGFS exception with descriptive error message.

Parameters:
  `msg` - Error message.

#### IgfsException

    public IgfsException(Throwable cause)

Creates an instance of IGFS exception caused by nested exception.

Parameters:
  `cause` - Exception cause.

#### IgfsException

    public IgfsException(String msg,
                 @Nullable
                 Throwable cause)

Creates an instance of IGFS exception with error message and underlying cause.

Parameters:
  `msg` - Error message.
  `cause` - Exception cause.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015